
package test.org.itscool.commons.dao.criteria;

import org.itscool.commons.dao.*;

// ----------------------------------------------------------------
// DB-MAP-TOOLが生成したクラスです
// ----------------------------------------------------------------
/**
 * 社員クラス
 * @author 加納
 * 作成日 2004/12/23
 */
public class BookBean1 {
    /* テーブルマッピング定義 */
    public static final String TABLE = "BOOK";
    public static final String COLUM_id = "id";
    public static final String COLUM_name = "name";
    public static final String COLUM_autorId = "autor_id";
    
    /* 属性定義 */
    private int id;
    private String name;
    private int autorId;
    
    /**
     * ID値を取得します
     * @return idを返します
     */
    public int getId(){
        return id;
    }
    
    /**
     * ID値を設定します
     * @return idを設定します
     */
    public void setId( int id ){
        this.id = id;
    }
    
    /**
     * 社員名を取得します
     * @return nameを返します
     */
    public String getName(){
        return name;
    }
    
    /**
     * 社員名を設定します
     * @return nameを設定します
     */
    public void setName( String name ){
        this.name = name;
    }
    
    /**
     * 企業IDを取得します
     * @return companyIdを返します
     */
    public int getAutorId(){
        return autorId;
    }
    
    /**
     * 企業IDを設定します
     * @return companyIdを設定します
     */
    public void setAutorId( int companyId ){
        this.autorId = companyId;
    }
    
    
}
